> ## Documentation Index
> Fetch the complete documentation index at: https://gcore.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Update events

> Configure multiple notification events at once. Only specified events will be updated - other events remain unchanged. Use this to set thresholds for storage usage alerts, file quantity limits, traffic warnings, and request quotas.



## OpenAPI

````yaml /api-reference/services_documented/object_storage_api.yaml post /storage/notifications/v1/events
openapi: 3.1.0
info:
  title: Gcore OpenAPI – Object Storage API
  description: >-
    This OpenAPI is an aggregated OpenAPI specification that unifies all Gcore
    products into a single file. It covers Cloud, CDN, DNS, WAAP, DDoS
    Protection, Object Storage, Streaming, and FastEdge services.
  version: '2026-05-15T06:37:28.230198+00:00'
servers:
  - url: https://api.gcore.com
security:
  - APIKey: []
tags:
  - name: Notifications
    x-displayName: Notifications
  - name: SSHKeys
    x-displayName: SSHKeys
  - name: Storage Locations
    x-displayName: Storage Locations
  - name: Storage
    x-displayName: Storage
  - name: Storage Statistics
    x-displayName: Storage Statistics
  - name: S3-Compatible Storage
    x-displayName: S3-Compatible Storage
  - name: SFTP Storage
    x-displayName: SFTP Storage
paths:
  /storage/notifications/v1/events:
    post:
      tags:
        - Notifications
      summary: Update events
      description: >-
        Configure multiple notification events at once. Only specified events
        will be updated - other events remain unchanged. Use this to set
        thresholds for storage usage alerts, file quantity limits, traffic
        warnings, and request quotas.
      operationId: eventsCreateHttp
      responses:
        '200':
          description: EventsResponse
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/EventsResponse'
        '400':
          description: ErrResponse
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrResponse'
        '401':
          description: ErrResponse
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrResponse'
        '409':
          description: ErrResponse
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrResponse'
components:
  schemas:
    EventsResponse:
      type: object
      properties:
        reaching_files_quantity:
          type: array
          items:
            $ref: '#/components/schemas/LimitByCount'
        reaching_used_requests:
          type: array
          items:
            $ref: '#/components/schemas/LimitByCount'
        reaching_used_space:
          type: array
          items:
            $ref: '#/components/schemas/LimitByBytes'
        reaching_used_traffic:
          type: array
          items:
            $ref: '#/components/schemas/LimitByBytes'
      description: Events for storage notification
    ErrResponse:
      type: object
      properties:
        error:
          type: string
      description: ErrResponse is an error response
    LimitByCount:
      type: object
      properties:
        bucket_name:
          type: string
        count:
          type: integer
          format: uint64
        storage_name:
          type: string
        uuid:
          type: string
      description: LimitByCount input
    LimitByBytes:
      type: object
      properties:
        bucket_name:
          type: string
        bytes:
          type: integer
          format: uint64
        storage_name:
          type: string
        uuid:
          type: string
      description: LimitByBytes input
  securitySchemes:
    APIKey:
      description: >-
        API key for authentication. Make sure to include the word `apikey`,
        followed by a single space and then your token.

        Example: `apikey 1234$abcdef`
      type: apiKey
      in: header
      name: Authorization

````